Get GSTR-1 SUPECOA
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/supecoa/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/supecoa/{year}/{month}"
headers = {
"x-api-key": "<x-api-key>",
"x-api-version": "<x-api-version>",
"authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-version': '<x-api-version>',
authorization: '<authorization>'
}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/supecoa/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1768901352330,
"data": {
"status_cd": "0",
"error": {
"message": "No invoices found!!",
"error_cd": "RETWEB_04"
}
},
"transaction_id": "6d743aac-3cbe-49da-aef8-110689ddbaad"
}GSTR-1 SUPECOA
Get supplies through e-commerce amendment details for a return period for authenticated taxpayer
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
supecoa
/
{year}
/
{month}
Get GSTR-1 SUPECOA
Response schema
For successful responses, these resources describe the GSTN payload atdata.data.
View JSON schema
View Excel field reference
Headers
Public key required to authorize API access.
Was this page helpful?
āI